<script>
  // Imports
  import { json } from "d3-fetch";
  import { onMount } from "svelte";
  import { text } from "svelte/internal";

  import Leaf from "./_leaf.svelte";

  // Size and margins
  const width = 500;
  const height = 600;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/hourly_electricity_vs_gas_december.json");
  });

</script>


{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <svg {width} {height}>
    <g transform="translate({margin.left}, {margin.top})">
      <!-- week 5: only partly in december. include? -->
        if needed, this can simply be scaled in only 1 dimension.
      <g transform="translate({(innerWidth/2)-margin.left},50) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 52)}/>
      </g>  
      <!-- week 4 -->
      <g transform="translate({(innerWidth/2)+margin.left},125) scale(-1,1) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 51)}/>
      </g>
      <!-- week 3 -->
      <g transform="translate({(innerWidth/2)-margin.left},200) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 50)}/>
        </g>
      <!-- week 2 -->
      <g transform="translate({(innerWidth/2)+margin.left},275) scale(-1,1) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 49)}/>
      </g>
      <!-- week 1 -->
      <g transform="translate({(innerWidth/2)-margin.left},350) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 48)}/>
      </g>
      <!-- Leaf Stem -->
      <line x1={width/2 - margin.left} y1={margin.top} x2={width/2 - margin.left} y2={height-125} style="stroke:#000000;stroke-width:5"/>

      <text 
        transform="translate({(innerWidth/2)-90},{innerHeight-50})"
        class = "CityTitle">
          Baltimore
      </text>
      <text 
        transform="translate({(innerWidth/2)-90},{innerHeight-25})"
      class = "TimeFrame">
      (December 2014)
      </text>
    </g>
    
  </svg>
{/if}

<style>
  .CityTitle {
    font: italic 45px serif; 
  }
  .TimeFrame {
    font: italic 25px serif;
  }
</style>
